hash_algos
hash_equals
Hash Functions
PHP Manual

# hash_copy

(PHP 5 >= 5.3.0)

hash_copy — Copy hashing context

### Description

resource hash_copy ( resource `$context` )

### Parameters

`context`

  Hashing context returned by hash_init().

### Return Values

Returns a copy of Hashing Context resource.

### Examples

Example #1 hash_copy() example

`<?php
$context = hash_init("md5");
hash_update($context, "data");
/* copy context to be able to continue using it */
$copy_context = hash_copy($context);
echo hash_final($context), "\n";
hash_update($copy_context, "data");
echo hash_final($copy_context), "\n";
?>`

The above example will output:

    8d777f385d3dfec8815d20f7496026dc
    511ae0b1c13f95e5f08f1a0dd3da3d93

hash_algos
hash_equals
Hash Functions
PHP Manual